function [RES]=Classical_CASED_Uniform(NAFEMS_Data,Sizesample,N,Truncation)
% clc
% clear variables
% close
% Solve The NAFEMS CHALLENGE PROBLEM CASE D: 3 Intervals have been given, one for each parameter of interest (R,L,C)
% The bounds are not preciselly defined, 2 upper bounds and one lower bound
% are crisp the other are not.
% And Compute Reliability w.r.t. 3 requirements
%1) Vc(10ms)>0.9
%2) Vc(t=tr)>0.9 and tr<8ms
%3) Z>=1
%% INPUT
% Rup=650; Lup=6; Clow=7;
%nominal value for the imprecise information (one of the bound has been unpreciselly defined in case D)
Rup=NAFEMS_Data.CASED_Rup;a=NAFEMS_Data.CASED_Rlow;
Lup=NAFEMS_Data.CASED_Lup;c=NAFEMS_Data.CASED_Llow;
f=NAFEMS_Data.CASED_Cup;Clow=NAFEMS_Data.CASED_Clow;

%Sizesample= 10^3;    % samples used for min-max search
%N=5; % Selected number of intervals for each parameter
%Truncation=5; % truncation for the imprecielly defined interval (Interval Nominal Value * or / Truncation)

Rmax=Rup*Truncation;          % right bound for the resistance
Lmax=Lup*Truncation;          % right bound for the Inductance
Cmin=Clow/Truncation;         % left bound for the Capacitance
 
%% input
% Rmax massimum R value for the upper bound(rational consideration
% phisical consideration, cant be infinite)
%N= number of interval to discretize the imprecise portion
% mass assignement to the different sources of information
% abR(1)=1/N;cdL(1)=m1;efC(1)=m1;
% abR(2)=m2;cdL(2)=m2;efC(2)=m2;
% abR(3)=1-m1-m2; cdL(3)=1-m1-m2;efC(3)=1-m1-m2;

% Defines a series of intervals spacing from the defined bound to a truncation bound i.e. 10* Nominal Value
a=ones(1,N)*a(1); b=linspace(Rup,Rmax,N);
c=ones(1,N)*c(1); d=linspace(Lup,Lmax,N);
e=linspace(Clow,Cmin,N);f=ones(1,N)*f(1);

%prealocate and index
PVc10=zeros(1,length(a)*length(c)*length(e));
Ptr=zeros(1,length(a)*length(c)*length(e));
Pz=zeros(1,length(a)*length(c)*length(e));
IDX=0;
[Z,VC10,VC08]=deal(cell(1,length(a)*length(c)*length(e)));

for k=1:length(a)
    %
    for s=1:length(c)
        %
        for j=1:length(e)
            % k=1;s=1;j=1;  CASE A
            IDX= IDX+1;
            % set the focal cell
            A=a(k);B=b(k);C=c(s);D=d(s);E=e(j);F=f(j);
            % latin hypercube design
            X = lhsdesign(Sizesample,3);
            % compute parameter
            R = A + X(:,1).*(B-A);
            L = C + X(:,2).*(D-C);
            Cc = E + X(:,3).*(F-E);
            % compute damping factor
            Zeta=0.5*R.*((Cc./L).^0.5);
            % eliminate underdumped samples
            R(Zeta<1)=[];
            L(Zeta<1)=[];
            Cc(Zeta<1)=[];
            %  Zeta(Zeta<1)=[];
            %%  System Solver
            Vc08 = my_fun_Vc08(R,L,Cc);
            Vc10 = my_fun_Vc10(R,L,Cc); 
            %Prob of failure for the intervals in exam
            PVc10(IDX)=sum(Vc10<=0.9)/length(R);
            Ptr(IDX)=sum(Vc08<=0.9)/length(R);
            Pz(IDX)=sum(Zeta<1)/Sizesample;
            % Save Output
            Z{IDX}=Zeta;
            VC08{IDX}=Vc08;
            VC10{IDX}=Vc10;   
            %% plot ECDF ######################################################
            
            % %  ECDF Vc(8ms)[F(VC08=0.9)=probability of requirement 2 not sattisfied]
            % figure(1)
            %  hold on
            % ecdf(RES.Vc08)
            % %  ECDF Vc(10ms)[F(VC10=0.9)=probability of requirement 1 not sattisfied]
            % figure(2)
            % hold on
            % ecdf(RES.Vc10)
            %###################################################################################################
            
            
        end
    end
end
%% Saver Output
RES.PVc10=PVc10;
RES.Ptr=Ptr;
RES.Pz=Pz;
RES.Z=Z;
RES.Vc08=VC08;
RES.Vc10=VC10;
    %% PLOT RESULT
%     for i=1:length(RES.Vc08)
%                         figure(1)
%                         hold on
%                         ecdf(RES.Vc08{i})
%                         xlabel('Vc(10ms)');
%                         ylabel('CDF(Vc)');
%                         set(gca,'FontSize',16)
%                         
%                         figure(2)
%                         hold on
%                         ecdf(RES.Vc08{i})
%                         xlabel('Vc(8ms)');
%                         ylabel('CDF(Vc)');
%                         set(gca,'FontSize',16)
%                         
%                         figure(3)
%                         hold on
%                         ecdf(RES.Z{i})
%                         xlabel('Z');
%                         ylabel('CDF(Z)');
%                         set(gca,'FontSize',16)
%     end


end