function [RES]=DS_CASEA(NAFEMS_Data,Sizesample)
% clc
% clear variables
% Solve The NAFEMS CHALLENGE PROBLEM CASE A: 3 Interval sources have been given, one for each parameter of interest (R,L,C)
% Evidence Theory Approach
% And Compute Reliability w.r.t. 3 requirements
%1) Vc(10ms)>0.9
%2) Vc(t=tr)>0.9 and tr<8ms
%3) Z>=1
%% INPUTS
% interval asignement
% a(1)=40;b(1)=1000;  % R Source 1
% c(1)=1*10^-3;d(1)=10*10^-3;     % L Source 1
% e(1)=1*10^-6;f(1)=10*10^-6;     % C Source 1

a=NAFEMS_Data.CASEAB_RminS(1) ;b=NAFEMS_Data.CASEAB_RmaxS(1);
c=NAFEMS_Data.CASEAB_LminS(1) ;d=NAFEMS_Data.CASEAB_LmaxS(1);
e=NAFEMS_Data.CASEAB_CminS(1) ;f=NAFEMS_Data.CASEAB_CmaxS(1); 

%Sizesample=10^4; % samples number
%% SAMPLES ARE USED HERE TO COMPUTE THE SYSTEM RESPONCE BOUNDS (the probability here do not comes in play)

% set the unfiorm distribution parameters
A=a(1);B=b(1);C=c(1);D=d(1);E=e(1);F=f(1);
% sample parameters
R = A + rand(Sizesample,1).*(B-A);
L = C + rand(Sizesample,1).*(D-C);
C = E + rand(Sizesample,1).*(F-E);

%% COMPUTE Z
Zeta=0.5*R.*((C./L).^0.5);
% eliminate underdumped samples
R(Zeta<1)=[];
L(Zeta<1)=[];
C(Zeta<1)=[];
%Find minimum and Maximum of the System Response 

Vc08 = my_fun_Vc08(R,L,C);
Vc10 = my_fun_Vc10(R,L,C);   

RES.Vc08min=min(Vc08);
RES.Vc08max=max(Vc08);
RES.Vc10min=min(Vc10);
RES.Vc10max=max(Vc10);
RES.Zmin=min(Zeta);
RES.Zmax=max(Zeta);
% build DS strucutre
RES.dsTR=dsstruct([RES.Vc08min',RES.Vc08max',1]);
RES.dsVC=dsstruct([RES.Vc10min',RES.Vc10max',1]);
RES.dsZ=dsstruct([RES.Zmin',RES.Zmax',1]);
%% PLOT
%  plotDS(RES.dsTR);
%  plotDS(RES.dsVC);
%  plotDS(RES.dsZ);
% %  %solve minimization  
% options = optimoptions(@fmincon,'Algorithm','sqp');
% [x8min,FVALMinVC8min,EXITFLAG,OUTPUT] =fmincon(@myfuncitonvettorVC8min,[500,5*10^-3,5*10^-6],[],[],[],[],[a c e],[b  d  f],@(x) Zconfuneq(x),options);
% [x8max,FVALMinVC8max,EXITFLAG,OUTPUT] =fmincon( @myfuncitonvettorVC8max,[500,5*10^-3,5*10^-6],[],[],[],[],[a c e],[b  d  f],@(x) Zconfuneq(x),options);
% [x10min,FVALMinVC10min,EXITFLAG,OUTPUT] =fmincon(@myfuncitonvettorVC10min,[500,5*10^-3,5*10^-6],[],[],[],[],[a c e],[b  d  f],@(x) Zconfuneq(x),options);
% [x10max,FVALMinVC10max,EXITFLAG,OUTPUT] =fmincon(@myfuncitonvettorVC10max,[500,5*10^-3,5*10^-6],[],[],[],[],[a c e],[b  d  f],@(x) Zconfuneq(x),options);

end

 
 