function [RES]=DS_CASED(NAFEMS_Data,Sizesample,N,Truncation)
%close;clc;clear variables;
%% DATA
% Rmax=6500; Lmax=60;Cmin=0.70;N=10;
% %nominal value for the imprecise information
% Rup=650;Lup=6;Clow=7;
% a(1)=40;c(1)=1;f(1)=10;
% e=e*10^-6;
% f=f*10^-6;
% c=c*10^-3;
% d=d*10^-3;

%Sizesample=10^3; %number of samples 
%N=5; % Selected number of intervals for each parameter
%Truncation=10; % truncation for the imprecielly defined interval (Interval Nominal Value * or / Truncation) 


Rup=NAFEMS_Data.CASED_Rup;a=NAFEMS_Data.CASED_Rlow;
Lup=NAFEMS_Data.CASED_Lup;c=NAFEMS_Data.CASED_Llow;
f=NAFEMS_Data.CASED_Cup;Clow=NAFEMS_Data.CASED_Clow; 
Rmax=Rup*Truncation;          % right bound for the resistance
Lmax=Lup*Truncation;            % right bound for the Inductance
Cmin=Clow/Truncation;          % left bound for the Capacitance 

%% input
% Rmax massimum R value for the upper bound....(rational consideration
% phisical consideration, cant be infinite)
%N= number of interval to discretize the imprecise portion 
% mass assignement to the different sources of information
% abR(1)=1/N;cdL(1)=m1;efC(1)=m1;
% abR(2)=m2;cdL(2)=m2;efC(2)=m2;
% abR(3)=1-m1-m2; cdL(3)=1-m1-m2;efC(3)=1-m1-m2; 
abR=1/N;
cdL=1/N;
efC=1/N;
% interval asignement
%    a(1)=40;b(1)=600;c(1)=1;d(1)=6;e(1)=7;f(1)=10;
%    a(2)=40;b(2)=1500;c(2)=1;d(2)=15;e(2)=3;f(2)=10;
%    a(3)=40;b(3)=3000;c(3)=1;d(3)=30;e(3)=1;f(3)=10;
 
% interval definition
a=ones(1,N)*a(1); b=linspace(Rup,Rmax,N);
c=ones(1,N)*c(1); d=linspace(Lup,Lmax,N);
e=linspace(Clow,Cmin,N);f=ones(1,N)*f(1);

%solve minimization

% x=fmincon(@myfuncitonvettorVC8,[700,2*10^-3,5*10^-6],[],[],[],[],[a(J) c(J) e(J)],[b(j) d(J) f(J)],[]);
%  Vc08=myfuncitonvettorVC8(x);
 
%prealocate and index
VC10MAX=zeros(1,N*N*N);VC10MIN=zeros(1,N*N*N);
VC08MAX=zeros(1,N*N*N); VC08MIN=zeros(1,N*N*N);
ZMAX=zeros(1,N*N*N); ZMIN=zeros(1,N*N*N); Mass=zeros(N*N*N,1);
IDX=0;
 
for k=1:length(a)
    %
    for s=1:length(c)
        %
        for j=1:length(e)
            % k=1;s=1;j=1;  CASE A
            IDX= IDX+1;
            % set the focal cell
            A=a(k);B=b(k);C=c(s);D=d(s);E=e(j);F=f(j);
            % latin hypercube design
            X = lhsdesign(Sizesample,3);
            % compute parameter
            R = A + X(:,1).*(B-A);
            L = C + X(:,2).*(D-C);
            Cc = E + X(:,3).*(F-E);
%              R = A + rand(Sizesample,1).*(B-A);
%              L = C +  rand(Sizesample,1).*(D-C);
%              Cc = E + rand(Sizesample,1).*(F-E);
            % compute damping factor
            Zeta=0.5*R.*((Cc./L).^0.5);
            % eliminate underdumped samples
            R(Zeta<1)=[];
            L(Zeta<1)=[];
            Cc(Zeta<1)=[];
            %  Zeta(Zeta<1)=[];
            %%  System Solver
            Vc08 = my_fun_Vc08(R,L,Cc);
            Vc10 = my_fun_Vc10(R,L,Cc);
            %t=0:0.001:0.021;
            %Vc=repmat(A1,1,length(t)).*exp(S1*t)+repmat(A2,1,length(t)).*exp(S2*t)+1;
            % RES.Vc=Vc;
            %RES.Vc10=Vc10;
            VC10MIN(IDX)=min(Vc10);
            VC10MAX(IDX)=max(Vc10);
            %RES.Vc08=Vc08;
            VC08MIN(IDX)=min(Vc08);
            VC08MAX(IDX)=max(Vc08);
            ZMAX(IDX)= max(Zeta);
            ZMIN(IDX)= min(Zeta);
            
            %% plot ECDF ######################################################
           
            % %  ECDF Vc(8ms)[F(VC08=0.9)=probability of requirement 2 not sattisfied]
            % figure(1)
            %  hold on
            % ecdf(RES.Vc08)
            % %  ECDF Vc(10ms)[F(VC10=0.9)=probability of requirement 1 not sattisfied]
            % figure(2)
            % hold on
            % ecdf(RES.Vc10)
            %###################################################################################################
            
            Mass(IDX,1)=abR*cdL*efC;
        end
    end
end
%% %CONVERT MIN MAX AND MASS TO DS STRUCTURE OBJECT
RES.dsTR=dsstruct([VC08MIN',VC08MAX',Mass]);
RES.dsVC=dsstruct([VC10MIN',VC10MAX',Mass]);
RES.dsZ=dsstruct([ZMIN',ZMAX',Mass]);

% %% PLOT
% plotDS(RES.dsTR)
% figure
% plotDS(RES.dsVC)
% figure
% plotDS(RES.dsZ)


end