function [DSR,DSL,DSC]=DiscretizazionePBOX(FRl,FRu,FLl,FLu,FCl,FCu,D,MAXRs,MAXLs,MAXCs)
%% Transform the Probability Box for the NAFEMS PROBLEM
%% INPUTS
% Fil=lower bound on CDF for parameter i 
% Fiu=upper bound on CDF for parameter i
%% R
PBR=[[FRl;zeros(1,max(size(FRl)))],[FRu;ones(1,max(size(FRu)))];[0 sort(D.Rs) MAXRs 0 sort(D.Rs) MAXRs]];
[~,I]=sort(PBR(1,:));
B=PBR(:,I); 
%  discretize DS structures

for i=2:max(size(B))
    
    ML(i)=B(1,i)-B(1,i-1);
    if B(2,i-1)==B(2,i) && B(2,i)==0
    lowboundR(i)=B(2,i);
    upboundR(i)=B(3,i);
    elseif B(2,i-1)==B(2,i) && B(2,i)==1
    lowboundR(i)=B(3,i);
    upboundR(i)=B(2,i)*B(3,end);
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==0
    lowboundR(i)=lowboundR(i-1);
    upboundR(i)=B(3,i+1);
      if B(2,i)==B(2,i+1)
                 upboundR(i)=B(2,i)*B(3,end);
            end
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==1
    lowboundR(i)=B(3,i+1);
    upboundR(i)=upboundR(i-1);
    end
   
end
  upboundR(ML==0)=[];
  lowboundR(ML==0)=[];
  ML(ML==0)=[];
DSR =[lowboundR',upboundR',ML'];

%% L
PBL=[[FLl;zeros(1,length(FLl))],[FLu;ones(1,length(FLu))];[0 sort(D.Ls) MAXLs 0 sort(D.Ls) MAXLs]];
[~,I]=sort(PBL(1,:));
B=PBL(:,I); 
%  discretize DS structures
for i=2:max(size(B))
    
    MC(i)=B(1,i)-B(1,i-1);
    if B(2,i-1)==B(2,i) && B(2,i)==0
    lowboundL(i)=B(2,i);
    upboundL(i)=B(3,i);
    elseif B(2,i-1)==B(2,i) && B(2,i)==1
    lowboundL(i)=B(3,i);
    upboundL(i)=B(2,i)*B(3,end);
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==0
    lowboundL(i)=lowboundL(i-1);
    upboundL(i)=B(3,i+1);
     if B(2,i)==B(2,i+1)
                 upboundL(i)=B(2,i)*B(3,end);
            end
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==1
    lowboundL(i)=B(3,i+1);
    upboundL(i)=upboundL(i-1);
    end
   
end
  upboundL(MC==0)=[];
  lowboundL(MC==0)=[];
  MC(MC==0)=[];
DSL =[lowboundL',upboundL',MC'];

%% C
PBC=[[FCl;zeros(1,length(FCl))],[FCu;ones(1,length(FCu))];[0 sort(D.Cs) MAXCs 0 sort(D.Cs) MAXCs]];
[~,I]=sort(PBC(1,:));
B=PBC(:,I); 
%  discretize DS structures
for i=2:max(size(B))
    
    M(i)=B(1,i)-B(1,i-1);
    if B(2,i-1)==B(2,i) && B(2,i)==0
    lowboundC(i)=B(2,i);
    upboundC(i)=B(3,i);
    elseif B(2,i-1)==B(2,i) && B(2,i)==1 % trial 
    lowboundC(i)=B(3,i);
    upboundC(i)=B(2,i)*B(3,end);
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==0 
    lowboundC(i)=lowboundC(i-1);
    upboundC(i)=B(3,i+1);
            if B(2,i)==B(2,i+1)
                 upboundC(i)=B(2,i)*B(3,end);
            end
                
    elseif B(2,i-1)~=B(2,i) && B(2,i-1)==1
    lowboundC(i)=B(3,i+1); 
    upboundC(i)=upboundC(i-1);
      
    end
   
end
  upboundC(M==0)=[];
  lowboundC(M==0)=[];
  M(M==0)=[];
DSC =[lowboundC',upboundC',M'];
end